Welcome to the CrackBerry Forums Create Your Account or Ask a Question Answers in 5 minutes - no registration required!
Page 1 of 2 12 LastLast
Results 1 to 25 of 46
Like Tree14Likes
  1. valkyr1e's Avatar
    CrackBerry Newbie

    Posts
    3 Posts
    Thread AuthorThread Author   #1  

    Default AppLoader does not detect OS device

    Hi guys,

    First time posting here, not sure which section this should go. I had a bit trouble with my BB 9780. For some reason, when I tried to upgrade to newer OS version (from leak), AppLoader does not detect for the OS core files installed on my PC. It only detects 3rd apps that I installed from BB AppWorld and/or via OTA

    I already tried every thing that I can think of but no luck, run out of idea what I should do.

    1. Installed BB Desktop Manager 6.1
    2. Installed BB OS 6.0.0.600 from leak for 9780
    3. Deleted vendor.xml
    4. Run loader.exe, phone plugged in, PIN detected and then next.
    5. No OS core files detected, only 3rd apps on the list

    I already tried with other OS version such .534, .570, it still won't work. I also tried downgrading BB Desktop Manager. Also when I tried to "Add" to the application list, it says "This application is not compatible with your device and cannot be loaded". I also tried wiping and not wiping the phone.

    Any help? ><
  2. shah510's Avatar
    CrackBerry User

    Posts
    10 Posts
    #2  

    Default

    I got the same problem aswel
    found any solutions yet?
  3. pcgizmo's Avatar
    CrackBerry Ph.D.

    Posts
    5,986 Posts
    Global Posts
    5,991 Global Posts
    PIN
    BOSCO
    #3  

    Default

    Do a search for any extraneous/hidden vendor.xml files. I just had this same problem, and found another vendor.xml file lurking somewhere in my documents and settings folder.
    Thanked by 2:
    Mvor7 (10-30-2011),  vivsrulz (11-27-2011) 
    Mvor7, vivsrulz and colonel20 like this.
  4. shah510's Avatar
    CrackBerry User

    Posts
    10 Posts
    #4  

    Default

    i downloaded another OS from the carrier and its worked. but now in apploader i put the battery in when it says loading jvm and system software but now it gets stuck at reconnecting to jvm and my BB is looping in the reboot and wiping while this happenes. Please help
  5. pcgizmo's Avatar
    CrackBerry Ph.D.

    Posts
    5,986 Posts
    Global Posts
    5,991 Global Posts
    PIN
    BOSCO
    #5  

    Default

    Quote Originally Posted by shah510 View Post
    i downloaded another OS from the carrier and its worked. but now in apploader i put the battery in when it says loading jvm and system software but now it gets stuck at reconnecting to jvm and my BB is looping in the reboot and wiping while this happenes. Please help
    That's a different problem, don't hijack the OP's thread. Search for connecting to jvm errors.
  6. shah510's Avatar
    CrackBerry User

    Posts
    10 Posts
    #6  

    Default

    ok sorry and thanks for help
  7. Maajid's Avatar
    CrackBerry User

    Posts
    14 Posts
    #7  

    Default

    I have the same problem. Did the OP figure it out?
  8. wankay's Avatar
    CrackBerry User

    Posts
    50 Posts
    #8  

    Default

    try do security wipe or BBSAK wipe first.
  9. technology-fanboy's Avatar
    Banned

    Posts
    477 Posts
    Global Posts
    478 Global Posts
    #9  

    Default

    Quote Originally Posted by valkyr1e View Post
    Hi guys,

    First time posting here, not sure which section this should go. I had a bit trouble with my BB 9780. For some reason, when I tried to upgrade to newer OS version (from leak), AppLoader does not detect for the OS core files installed on my PC. It only detects 3rd apps that I installed from BB AppWorld and/or via OTA

    I already tried every thing that I can think of but no luck, run out of idea what I should do.

    1. Installed BB Desktop Manager 6.1
    2. Installed BB OS 6.0.0.600 from leak for 9780
    3. Deleted vendor.xml
    4. Run loader.exe, phone plugged in, PIN detected and then next.
    5. No OS core files detected, only 3rd apps on the list

    I already tried with other OS version such .534, .570, it still won't work. I also tried downgrading BB Desktop Manager. Also when I tried to "Add" to the application list, it says "This application is not compatible with your device and cannot be loaded". I also tried wiping and not wiping the phone.

    Any help? ><
    Did you have any Hybrid installed on your PC before?

    I heard that the MaxHybrid messes up your registry making Loader look for an OS in a different path, which is why you can never load a new OS unless you use the uninstaller for that Hybrid to rectify the registry entries
  10. valkyr1e's Avatar
    CrackBerry Newbie

    Posts
    3 Posts
    Thread AuthorThread Author   #10  

    Default

    Hey guys,

    I forgot to go back to my own thread lol >< anyway, I found a solution but it is not really a solution. I went to reformat my computer the other day and the apploader detected the OS files that I installed, however now the problem occurred again for some reason zzz... it does not detect the OS files again and there is no way I am going to format my computer again just for reinstalling BB OS =.=

    Quote Originally Posted by technology-fanboy View Post
    Did you have any Hybrid installed on your PC before?

    I heard that the MaxHybrid messes up your registry making Loader look for an OS in a different path, which is why you can never load a new OS unless you use the uninstaller for that Hybrid to rectify the registry entries
    I did use hybrid but it was not an installer, just drag-and-drop from zip files to the OS folder but since sometimes hybrid have a problem itself, now I decided just use the official OS
    Last edited by valkyr1e; 09-15-2011 at 11:59 AM.
  11. valkyr1e's Avatar
    CrackBerry Newbie

    Posts
    3 Posts
    Thread AuthorThread Author   #11  

    Default

    Hm interesting.... after my Blackberry Desktop Manager got updated (It usually asks you to update when you click on Applications tab on BB Desktop Manager interface), the OS files that are installed in my computer are detected via apploader.exe, it even got detected via Applications tab on BB Desktop Manager. It says "Local Installation for your Blackberry (model number)"

    So for you whoever have the same problem as mine might want to try out what I did for BB Desktop Manager.

    If it is still doesn't work, I suggest uninstall Blackberry Desktop Manager and any OS files that are installed. Clean registry with CCleaner (free software).

    Also go to registry editor (regedit) and find (Ctrl-F) any left over Research in Motion keys and delete it manually (Warning: for advanced users, so be careful not too delete other keys otherwise your computer might stuffs up). And then re-install BB Desktop Manager and your chosen OS files.

    Those all what I did prior to updating my BB Desktop Manager.
  12. littlejackal's Avatar
    CrackBerry Abuser

    Posts
    129 Posts
    #12  

    Default

    Quote Originally Posted by valkyr1e View Post
    Hi guys,

    First time posting here, not sure which section this should go. I had a bit trouble with my BB 9780. For some reason, when I tried to upgrade to newer OS version (from leak), AppLoader does not detect for the OS core files installed on my PC. It only detects 3rd apps that I installed from BB AppWorld and/or via OTA

    I already tried every thing that I can think of but no luck, run out of idea what I should do.

    1. Installed BB Desktop Manager 6.1
    2. Installed BB OS 6.0.0.600 from leak for 9780
    3. Deleted vendor.xml
    4. Run loader.exe, phone plugged in, PIN detected and then next.
    5. No OS core files detected, only 3rd apps on the list

    I already tried with other OS version such .534, .570, it still won't work. I also tried downgrading BB Desktop Manager. Also when I tried to "Add" to the application list, it says "This application is not compatible with your device and cannot be loaded". I also tried wiping and not wiping the phone.

    Any help? ><
    I deleted the Vendor.xml file as usual, as in the almost 3 yrs I owned the Storm and when I went to update this one I had problems. Apploader would start and it would not display the OS options, I could only see the applications which would be changed. So no update. I installed it on 3 different computers and I always got the same problem until I searched for Vendor.xml in all the computer. I found 2 instances of this, in the regular directory and one in the following path: C:\Users\user_name\AppData\Roaming\Research In Motion\BlackBerry\Loader XML I deleted this Vendor.xml as well and voila I could finally see the OS files in the apploader!! I'm using Windows 7. I never ran into this problem until now. I hope this helps. It took me about 7 hours of countless times and different variations of installing an downloading, etc.. P.S. when doing the search search for Vendor.xml with a CAPITAL "V"
    Thanked by 13:
    + Show/Hide list of the thanked
    abukad (03-07-2012),  aimoka (09-25-2011),  cadbury29 (11-29-2011),  colonel20 (09-23-2012),  Mvor7 (10-30-2011),  enesberry (02-14-2013),  flymcb (04-24-2012),  goldriver92 (07-28-2014),  iamjfry (03-28-2012),  lomok (06-28-2012),  Oglon3r (04-21-2012),  shinHis (01-02-2013),  vivsrulz (11-27-2011) 
    aimoka, abukad, Mvor7 and 6 others like this.
  13. aimoka's Avatar
    CrackBerry User

    Posts
    21 Posts
    Global Posts
    23 Global Posts
    #13  

    Default

    Quote Originally Posted by littlejackal View Post
    i deleted the vendor.xml file as usual, as in the almost 3 yrs i owned the storm and when i went to update this one i had problems. Apploader would start and it would not display the os options, i could only see the applications which would be changed. So no update. I installed it on 3 different computers and i always got the same problem until i searched for vendor.xml in all the computer. I found 2 instances of this, in the regular directory and one in the following path: C:\users\user_name\appdata\roaming\research in motion\blackberry\loader xml i deleted this vendor.xml as well and voila i could finally see the os files in the apploader!! I'm using windows 7. I never ran into this problem until now. I hope this helps. It took me about 7 hours of countless times and different variations of installing an downloading, etc.. P.s. When doing the search search for vendor.xml with a capital "v"

    yeaaaayy...thanks a lot.....you really save the day!!!!
    vivsrulz likes this.
  14. cococrackers's Avatar
    CrackBerry Newbie

    Posts
    1 Posts
    #14  

    Default my apploader doesnt detect os 6, i've tried everything

    i tried installing various os 6 versions from different loaders but it still doest show on the apploader. i tried un-stalling/ re-installing a million times, used other computer and deleting Vendor.xml on the regular directory and on the path C:\users\user_name\appdata\roaming\research in motion\blackberry\loader xml i deleted this vendor.xml, but still os 6 doest shows up. i have an unlocked phone, but i have read that it doesnt matter if its unlocked. i tried to manually adding the .alx files but it says that its not compatible. do i need to wipe my fone first before doing this?

    pls somebody help me with this.
    Last edited by cococrackers; 10-04-2011 at 04:23 AM.
  15. akhanna113's Avatar
    CrackBerry Newbie

    Posts
    1 Posts
    #15  

    Default

    Heyy !! Thanks for ur valuable solutions. i was facing similar problem wd torch 9810.
    i could find a duplicate vendor.xml lying sumwher. upon its deletion, the loader easily picked up files. thanks again.

    dm 6.1, torch 9810, os bundle: 7.0.0.16XX
  16. leo1037's Avatar
    CrackBerry Abuser

    Posts
    468 Posts
    Global Posts
    471 Global Posts
    #16  

    Default

    I've been experiencing this problem for some time now and couldn't figure it out. Damn hidden vendor files! Got it to work now. Thanks all!
    10:37

    "Oh, so they have internet on computers now!"
  17. a_tone's Avatar
    CrackBerry Newbie

    Posts
    1 Posts
    #17  

    Default

    this happened to me for 2 days i was ont the computer looking for answers til i came upon this site

    DigiMantra » [How To] Update BlackBerry Bold 9700 to OS6

    copy and paste on the url follow the instructions and you should be fine
  18. ole32's Avatar
    CrackBerry User

    Posts
    10 Posts
    #18  

    Default

    hmmm.. I deleted both vendor.xml files in both locations mentioned above but I am still having problems with apploader .

    Dilemma with bricked 9930, trying to revive with 7.1 from sprint as opposed to 7.0 with Verizon. Was reported to work with Zfly2008 (member of crackberry)

    Thanks, merry christmas
  19. fedez76's Avatar
    CrackBerry User

    Posts
    20 Posts
    #19  

    Default

    I solved that problem!
    1. Remove DM and OS installed on pc
    2. Type regedit in pc's command
    3. Backup reg file
    4. Search for "Research in motion" and delete all the lines that contains it
    5. Restart your pc
    6. Install DM and OS
    It works!

    Posted from my CrackBerry at wapforums.crackberry.com
  20. jmatalon's Avatar
    CrackBerry User

    Posts
    24 Posts
    #20  

    Default

    I have been working on this like 3 hrs until I found this "secret vendor.xml" file . You saved my day and possibly short time life.
    BL VI
    Willard814 likes this.
  21. AHuMELLIHuK's Avatar
    CrackBerry Newbie

    Posts
    1 Posts
    #21  

    Default Another solution

    I've reading through different topics and the solution that worked for me is as follows:

    • Delete 2 Vendor.xml files
    • Install both your Current OS version and the one you want to upgrade to
    • App loader will only see the current one
    • Move files from new version folder to the current version folder and replace everything
    • Now App loader should see the correct version


    Hope it helps. Enjoy!
  22. srini79's Avatar
    CrackBerry Newbie

    Posts
    2 Posts
    #22  

    Default Thanks Liljackle

    That worked for me. thanks
  23. nishantgandhi's Avatar
    CrackBerry User

    Posts
    10 Posts
    #23  

    Default

    Perfect solution! WHo could have imagined that DM would sleazily insert another "V"endor.xml file in the system! Thanks. You just saved more precious hours from being wasted on such a minor task. Updating my 9360 now to 7.1.0.219
  24. ricketh.yo's Avatar
    CrackBerry Newbie

    Posts
    2 Posts
    #24  

    Default

    Quote Originally Posted by littlejackal View Post
    I deleted the Vendor.xml file as usual, as in the almost 3 yrs I owned the Storm and when I went to update this one I had problems. Apploader would start and it would not display the OS options, I could only see the applications which would be changed. So no update. I installed it on 3 different computers and I always got the same problem until I searched for Vendor.xml in all the computer. I found 2 instances of this, in the regular directory and one in the following path: C:\Users\user_name\AppData\Roaming\Research In Motion\BlackBerry\Loader XML I deleted this Vendor.xml as well and voila I could finally see the OS files in the apploader!! I'm using Windows 7. I never ran into this problem until now. I hope this helps. It took me about 7 hours of countless times and different variations of installing an downloading, etc.. P.S. when doing the search search for Vendor.xml with a CAPITAL "V"
    You just solved 3 DAYS of headaches ive had, with the d*** app loader not recognizing my os! ive downloaded, deleted, redownloaded... countless times now
    thanks!
  25. keefrto's Avatar
    CrackBerry Abuser

    Posts
    256 Posts
    #25  

    Default

    A big thanks to BBSAK updated version. Despite follwoing lots of advise on other threads, deleting the old version of bbsak and then downloading the new version found the updated OS and booyah! all done

    cheers

    BBSAK
    bold 9000, black z10 & playbook 32gb yeah baby
Page 1 of 2 12 LastLast

Posting Permissions